# colav

[![License](https://img.shields.io/pypi/l/colav.svg?color=green)](https://github.com/ammsa23/colav/raw/main/LICENSE)
[![PyPI](https://img.shields.io/pypi/v/colav.svg?color=green)](https://pypi.org/project/colav)
[![Python Version](https://img.shields.io/pypi/pyversions/colav.svg?color=green)](https://python.org)
[![CI](https://github.com/ammsa23/colav/actions/workflows/ci.yml/badge.svg)](https://github.com/ammsa23/colav/actions/workflows/ci.yml)
[![codecov](https://codecov.io/gh/ammsa23/colav/branch/main/graph/badge.svg?token=J69QAK9A20)](https://codecov.io/gh/ammsa23/colav)

`colav` (Conformational Landscape Visualization) provides tools for representing protein structures and mapping conformational landscapes. 

`colav` supports calculations for dihedral angles, pairwise distances, and strain. It is built on `biopandas`, `NumPy`, and `SciPy`. The methods analyze `.pdb` files, either one-by-one or all together. The three methods currently implemented are: 

## Installation 

You can install `colav` using `pip`: 

```
pip install colav
```

## Documentation 

Documentation can be found [here](https://rs-station.github.io/colav). 

## Examples 

Examples of how to use the software can be found in `scripts/`. 

## Support 

If you are having issues, please let us know. You can contact us [here](aasaeed@college.harvard.edu). 

## License 

This code is provided under the [MIT license](LICENSE). 

## Reference 

If you use `colav` in your work, please use the following citation: <br>
Saeed, A.A., Klureza, M.A., and Hekstra, D.R. (Forthcoming!). Mapping protein conformational ensembles using crystallographic drug fragment screens. [doi]()